import request from '@/utils/request'

// 查询能源策略列表
export function listEnergyStrategy(query) {
  return request({
    url: '/ems/energyStrategy/list',
    method: 'get',
    params: query
  })
}

// 查询能源策略详细
export function getEnergyStrategy(id) {
  return request({
    url: '/ems/energyStrategy/' + id,
    method: 'get'
  })
}

// 新增能源策略
export function addEnergyStrategy(data) {
  return request({
    url: '/ems/energyStrategy',
    method: 'post',
    data: data
  })
}

// 修改能源策略
export function updateEnergyStrategy(data) {
  return request({
    url: '/ems/energyStrategy',
    method: 'put',
    data: data
  })
}

// 删除能源策略
export function delEnergyStrategy(id) {
  return request({
    url: '/ems/energyStrategy/' + id,
    method: 'delete'
  })
}
